Newer Version Available

This content describes an older version of this product. View Latest

Get a List of Objects

Use the Describe Global resource to list the objects available in your organization and available to the logged-in user. This resource also returns the organization encoding, as well as maximum batch size permitted in queries.

Example usage
1curl https://na1.salesforce.com/services/data/v26.0/sobjects/ -H "Authorization: Bearer token"
Example request body
none required
Example response body
1{ 
2  "encoding" : "UTF-8", 
3  "maxBatchSize" : 200, 
4  "sobjects" : [ { 
5    "name" : "Account", 
6    "label" : "Account", 
7    "keyPrefix" : "001", 
8    "labelPlural" : "Accounts", 
9    "custom" : false, 
10    "layoutable" : true, 
11    "activateable" : false, 
12    "urls" : { 
13      "sobject" : "/services/data/v26.0/sobjects/Account", 
14      "describe" : "/services/data/v26.0/sobjects/Account/describe", 
15      "rowTemplate" : "/services/data/v26.0/sobjects/Account/{ID}" 
16    }, 
17    "searchable" : true, 
18    "updateable" : true, 
19    "createable" : true, 
20    "deprecatedAndHidden" : false, 
21    "customSetting" : false, 
22    "deletable" : true, 
23    "feedEnabled" : true, 
24    "mergeable" : true, 
25    "queryable" : true, 
26    "replicateable" : true, 
27    "retrieveable" : true, 
28    "undeletable" : true, 
29    "triggerable" : true 
30  }, 
31  ...
32  ]
33}